<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2011 Helmut Hackbarth <info@t3solution.de>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * [CLASS/FUNCTION INDEX of SCRIPT]
 *
 * Hint: use extdeveval to insert/update function index above.
 */

require_once(PATH_tslib.'class.tslib_pibase.php');

/**
 * Plugin 'JSliderNews' for the 't3s_jslidernews' extension.
 *
 * @author	Helmut Hackbarth <info@t3solution.de>
 * @package	TYPO3
 * @subpackage	tx_t3sjslidernews
 */
class tx_t3sjslidernews_pi1 extends tslib_pibase {
	var $prefixId      = 'tx_t3sjslidernews_pi1';		// Same as class name
	var $scriptRelPath = 'pi1/class.tx_t3sjslidernews_pi1.php';	// Path to this script relative to the extension dir.
	var $extKey        = 't3s_jslidernews';	// The extension key.
	var $pi_checkCHash = true;

	var $imageWidth = '';
	var $imageHeight = '';
	var $sliderWidth = '';
	var $sliderHeight = '';
	var $marginTop = '';
	var $extPath = '';
  var $DAM = '';
  
	/**
	 * The main method of the PlugIn
	 *
	 * @param	string		$content: The PlugIn content
	 * @param	array		$conf: The PlugIn configuration
	 * @return	The content that is displayed on the website
	 */
	public function main($content, $conf) {
		$this->conf = $conf;
		$this->pi_setPiVarDefaults();
		$this->pi_loadLL();

    $this->extPath = t3lib_extMgm::siteRelPath($this->extKey);
 
    $this->init();

    switch ($this->conf['contentStyle']) {
      case 'tt_news':
        $this->DAM = t3lib_extMgm::isLoaded('dam_ttnews')?'1':'';
        $sliderRecords = $this->getSliderNewsRecords();
        $content = $this->getNews($sliderRecords);
      break;
      case 'tt_content':
        $this->DAM = t3lib_extMgm::isLoaded('dam_ttcontent')?'1':'';
        $sliderRecords = $this->getSliderContentRecords();
        $content = $this->getContent($sliderRecords);
      break;
      case 'pages':
        $this->DAM = t3lib_extMgm::isLoaded('dam_pages')?'1':'';
        $sliderRecords = $this->getSliderPagesRecords();
        $content = $this->getMenu($sliderRecords);
      break;
    }

    $this->addHeaderParts();
	
		return $this->pi_wrapInBaseClass($content);
	}

 
	protected function init(){
    $this->pi_initPIflexForm();
		$piFlexForm = $this->cObj->data['pi_flexform'];
 		foreach ($piFlexForm['data'] as $sheet => $data) {
			foreach ($data as $lang => $value) {
				foreach ($value as $key => $val) {
						$this->conf[$key] = $this->pi_getFFvalue($piFlexForm, $key, $sheet);
        }
      }
    }
  }	


	protected function getSliderNewsRecords() {
    $select = 'tt_news.*';
    $whereClause = ' AND tt_news.sys_language_uid = ' . $GLOBALS['TSFE']->sys_language_content;  
    if ($this->conf['ttnewsType'] < '3') $whereClause .= ' AND tt_news.type = '.$this->conf['ttnewsType'];
    if (!$this->conf['newsArchive']) $whereClause .= ' AND (tt_news.archivedate >= '.time().' OR tt_news.archivedate = 0)';    
    if ($this->conf['sliderCat']) {
      $newsCats = t3lib_div::trimExplode(',', $this->conf['sliderCat']);
      if (count($newsCats) > '1') {
        $catWhere = array();
        foreach ($newsCats as $newsCat) {
          $catWhere[] = 'tt_news_cat_mm.uid_foreign = '.$newsCat;
        }         
        $catWhere = implode(' OR ', $catWhere);
        $whereClause .= ' AND ('.$catWhere.')';
      } else {
        $whereClause .= ' AND tt_news_cat_mm.uid_foreign = '.$this->conf['sliderCat'];
      }         
    }
    $whereClause .= $this->cObj->enableFields('tt_news_cat');
    $whereClause .= $this->cObj->enableFields('tt_news');
    $newsLimit = $this->conf['newsLimit'] ? intval($this->conf['newsLimit']) : '20';

    if (!$GLOBALS['TSFE']->sys_language_content) {
       if ($this->conf['requireImage'] == '1') {
        if ($this->DAM) {
          $whereClause .= ' AND tt_news.tx_damnews_dam_images != 0';
        } else {
          $whereClause .= ' AND tt_news.image != \' \'';
        }
      }    
      
      $res = $GLOBALS['TYPO3_DB']->exec_SELECT_mm_query($select, 'tt_news', 'tt_news_cat_mm', 'tt_news_cat', $whereClause, '', 'tt_news.datetime '.$this->conf['ascDesc'], $newsLimit);

      $sliderRecords = array();
      while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) { 
        $sliderRecords[$row['uid']] = $row;
        if($this->DAM && !$GLOBALS['TSFE']->sys_language_content) {
          $damFiles = tx_dam_db::getReferencedFiles('tt_news', $row['uid'], 'tx_damnews_dam_images');
          $sliderRecords[$row['uid']]['image'] = implode(",",$damFiles['files']);
        }
        if (t3lib_extMgm::isLoaded('rgnewsce') && $sliderRecords[$row['uid']]['tx_rgnewsce_ce']) {
        $erg = $this->getSliderContentRecords($sliderRecords[$row['uid']]['tx_rgnewsce_ce']);
        $sliderRecords[$row['uid']]['image'] = $erg['0']['image'];
        $sliderRecords[$row['uid']]['bodytext'] = $erg['0']['bodytext'];
        }
      }
      $GLOBALS['TYPO3_DB']->sql_free_result($res); 
    } else {
      if ($this->conf['requireImage'] == '1' && $this->DAM) {
        $whereClause .= ' AND tt_news.tx_damnews_dam_images != 0';
      }    

      $res = $GLOBALS['TYPO3_DB']->exec_SELECT_mm_query($select, 'tt_news', 'tt_news_cat_mm', 'tt_news_cat', $whereClause, '', 'tt_news.datetime '.$this->conf['ascDesc'], $newsLimit);

      $sliderRecords = array();
      while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) { 
        $sliderRecords[$row['uid']] = $row;
        if($this->DAM) {
          $damFiles = tx_dam_db::getReferencedFiles('tt_news', $row['uid'], 'tx_damnews_dam_images');
          $sliderRecords[$row['uid']]['image'] = implode(",",$damFiles['files']);
        } else {
          $select2 = 'image';
          $addWhere = ' uid = '.$row['t3_origuid'];
          $addWhere .= $this->cObj->enableFields('tt_news');     

          $res2 = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select2, 'tt_news', $addWhere, '', 'datetime '.$this->conf['ascDesc'], $newsLimit);

          while ($row2 = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res2)) {
            $sliderRecords[$row['uid']]['image'] = $row2['image'];
          }
        }
        if (t3lib_extMgm::isLoaded('rgnewsce') && $sliderRecords[$row['uid']]['tx_rgnewsce_ce']) {
          $erg = $this->getSliderContentRecords($sliderRecords[$row['uid']]['tx_rgnewsce_ce']);
          $sliderRecords[$row['uid']]['image'] = $erg['0']['image'];
          $sliderRecords[$row['uid']]['bodytext'] = $erg['0']['bodytext'];
        }
      }
      $GLOBALS['TYPO3_DB']->sql_free_result($res2); 
      $GLOBALS['TYPO3_DB']->sql_free_result($res); 
    }

    return $sliderRecords; 
  }


	protected function getSliderContentRecords($ceUid) {
    $contentElements = t3lib_div::trimExplode(',', $this->conf['contentElement']);	
    if (t3lib_extMgm::isLoaded('rgnewsce') && $this->conf['contentStyle'] == 'tt_news') {
    $contentElements = t3lib_div::trimExplode(',', $ceUid);
    }
    $sliderRecords = array();
    $contentID = '0';
 		foreach ($contentElements as $contentElement) {
      $select = 'uid,pid,header,bodytext,image,subheader,imagecaption,date';
      $whereClause = 'uid='.$contentElement;  
      $whereClause .= ' AND (CType=\'textpic\' OR CType=\'text\')';
      $whereClause .= $this->cObj->enableFields('tt_content');
      $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select, 'tt_content', $whereClause);
      while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) { 
        $sliderRecords[$contentID] = $row;
        if($this->DAM) {
          $damFiles = tx_dam_db::getReferencedFiles('tt_content', $row['uid'], 'tx_damttcontent_files');
          $sliderRecords[$contentID]['image'] = implode(",",$damFiles['files']);
        }
      }
      $contentID++;
    }
    $GLOBALS['TYPO3_DB']->sql_free_result($res); 

    return $sliderRecords; 
  }


	protected function getSliderPagesRecords() {
    $pages = t3lib_div::trimExplode(',', $this->conf['pages']);	
    $sliderRecords = array();
    foreach ($pages as $page) {
      if ($GLOBALS['TSFE']->sys_language_content) {
        $page = str_split($page,'23');
        $page = $page['1'];
        $select = 'uid,pid,title,subtitle,abstract';
        $whereClause = 'uid='.$page;  
        $whereClause .= $this->cObj->enableFields('pages_language_overlay');
        $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select, 'pages_language_overlay', $whereClause);
      } else {
        $page = str_split($page,'6');
        $page = $page['1'];
        $select = 'uid,title,subtitle,abstract,media';
        $whereClause = 'uid='.$page;  
        $whereClause .= $this->cObj->enableFields('pages');
        $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select, 'pages', $whereClause);
      }
      while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) { 
        $sliderRecords[$row['uid']] = $row;
        if ($GLOBALS['TSFE']->sys_language_content) {
          $select = 'media';
          $whereClause = 'uid='.$row['pid'];  
          $whereClause .= $this->cObj->enableFields('pages');
          $res2 = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select, 'pages', $whereClause);      
          while ($row2 = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res2)) {
            $sliderRecords[$row['uid']]['media'] = $row2['media'];          
          }
        }
        if($this->DAM){
          $damFiles = tx_dam_db::getReferencedFiles('pages', $row['uid'], 'tx_dampages_files');
          $sliderRecords[$row['uid']]['media'] = implode(",",$damFiles['files']);
        }
      }
    }
    $GLOBALS['TYPO3_DB']->sql_free_result($res2); 
    $GLOBALS['TYPO3_DB']->sql_free_result($res); 

    return $sliderRecords; 
  }


 	protected function getNews($sliderRecords) {
    $uploadDir = $this->DAM ? '' : 'uploads/pics/';
    if (!$this->conf['templateFile']) $this->conf['templateFile'] = $this->extPath.'slidernews_template.html';
    $templateFile = $this->cObj->fileResource($this->conf['templateFile']);
    $templateFile = $this->cObj->getSubpart($templateFile,'###SLIDERSTYLE_'.$this->conf['sliderStyle'].'###');

    $marks = $this->getSliderSize($sliderRecords);
    $n = '1';
    foreach ($sliderRecords as $key=>$record) {
      if($record['type'] == '0' ) { 
        $linkConf = array(
          'parameter'         => $this->conf['ttnewsSinglePid'],
          'additionalParams'  => '&tx_ttnews[tt_news]='.$record['uid'],
          'useCacheHash'      => '1',
          'ATagParams'        => 'class="readmore"',
          'target'            => '_parent',
          'title'             =>  $record['title']
        );
      }
      if($record['type'] == '1' ) { 
        $linkConf = array(
          'parameter'         => $record['page'],
          'target'            => '_parent',
          'title'             =>  $record['title']
        );
      }
      if($record['type'] == '2' ) { 
        $linkConf = array(
          'parameter'         => $record['ext_url'],
          'extTarget'         => '_blank',
          'title'             =>  $record['title']
        );
      }
      $emailLinkConf = array(
        'parameter'           => $record['author_email'].'?subject='.$record['title'].'&cc='.$record['author_email'],
        'ATagParams'          => 'class="authoremail"',
        'target'              => '_parent',
        'title'               =>  $record['title']
      );
      if($this->conf['imageLink']) {
        if ($this->conf['sliderStyle'] != '5' || $this->conf['sliderStyle'] != '6') {
          $imageLinkConf = array(
            'parameter'         => $this->conf['ttnewsSinglePid'],
            'additionalParams'  => '&tx_ttnews[tt_news]='.$record['uid'],
            'useCacheHash'      => '1',
            'ATagParams'        => 'class="imagelink"',
            'target'            => '_parent',
            'title' =>  $record['title']
          );
        }  
      }     
      $imageRecord = t3lib_div::trimExplode(',', $record['image']);
      $imageConf['file'] = $uploadDir . $imageRecord['0'];
      $thumbnailConf['file'] = $uploadDir . $imageRecord['0'];
      if ($this->conf['requireImage'] == '2') $record['image'] = '0';
      if (!$record['image']) {
        if ($this->conf['defaultImage']) {
          $defaultImages = t3lib_div::trimExplode(',', $this->conf['defaultImage']);
          if (count($defaultImages) > '1') {
            if (!$this->conf['imageOrder']) {
              $random = rand('0',count($defaultImages) - '1');
              $defaultImage = $defaultImages[$random];
            } else {
              if (count($sliderRecords) == count($defaultImages)) {
                $key = $n - '1';
                $defaultImage = $defaultImages[$key];
              } else {
                $random = rand('0',count($defaultImages) - '1');
                $defaultImage = $defaultImages[$random];
              }
            }
          } else {
            $defaultImage = $defaultImages['0'];
          }
          $imageConf['file'] = 'uploads/tx_t3sjslidernews/'.$defaultImage;
          $thumbnailConf['file'] = 'uploads/tx_t3sjslidernews/'.$defaultImage;
        } else {
          $imageConf['file'] =  $this->extPath.'res/icons/typo3_logo.jpg';
          $thumbnailConf['file'] =  $this->extPath.'res/icons/typo3_logo.jpg';
        }
      }
      $imageConf['file.']['width'] = $this->imageWidth.'c';
      $imageConf['file.']['height'] = $this->imageHeight;
      $imageConf['stdWrap.']['addParams.']['title'] = $record['imagetitletext'];
      $imageConf['stdWrap.']['addParams.']['alt'] = $record['imagealttext'];

      $thumbnailConf['file.']['height'] = intval($this->conf['thumbnailHeight']);
      $thumbnailConf['file.']['width'] = intval($this->conf['thumbnailWidth']).'c';
 
      $marksItem['###NUMBER###']  = $n;
      if ($record['title']) {
        $marksItem['###TITLE###'] = $record['title'];
        $marksItem['###TITLELINK###']  = $this->cObj->typolink($record['title'], $linkConf);
      } else {
        $marksItem['###TITLE###'] =  '';
        $marksItem['###TITLELINK###']  =  '';
      }
      if ($record['author']) {
        $marksItem['###AUTHOR###']  = $record['author'];
        if ($record['author_email']) {
          $marksItem['###AUTHORLINK###']  = $this->cObj->typolink($record['author'], $emailLinkConf);
        } else {
          $marksItem['###AUTHORLINK###']  = $this->cObj->typolink($record['author'], $linkConf);
        }
      } else {
        $marksItem['###AUTHOR###']  =  '';
        $marksItem['###AUTHORLINK###']  = '';
      }
      $marksItem['###DATE###'] = strftime($this->conf['dateFormat'],$record['datetime']);

      $marksItem['###IMAGE###'] = $this->cObj->IMAGE($imageConf);
      if($this->conf['imageLink']) { 
        if ($this->conf['sliderStyle'] != '5' || $this->conf['sliderStyle'] != '6') {
          $marksItem['###IMAGE###'] = $this->cObj->typolink($marksItem['###IMAGE###'], $imageLinkConf);
        }
      }

      if(!$this->conf['fixedLgd']) $this->conf['fixedLgd'] = '120';
      if ($record['short']) {
        $record['short'] = t3lib_div::fixed_lgd_cs($record['short'], intval($this->conf['fixedLgd']));
        $marksItem['###TEXT###'] = $record['short'];
        if (strlen($record['short']) >= intval($this->conf['fixedLgd'])) {
              $marksItem['###READMORE###']  = $this->cObj->typolink($this->pi_getLL('readmore'), $linkConf);
        } else {
              $marksItem['###READMORE###']  = '';
        }
      } else {
        $record['bodytext'] = t3lib_div::fixed_lgd_cs($record['bodytext'], intval($this->conf['fixedLgd']));
        require_once(PATH_t3lib.'class.t3lib_parsehtml_proc.php');
        $bodytext_parsehtml_proc = t3lib_div::makeInstance('t3lib_parsehtml_proc');
        $record['bodytext'] = $bodytext_parsehtml_proc->TS_links_rte($record['bodytext']);
        $marksItem['###TEXT###'] = $record['bodytext'];
        if (strlen($record['bodytext']) >= intval($this->conf['fixedLgd'])) {
              $marksItem['###READMORE###']  = $this->cObj->typolink($this->pi_getLL('readmore'), $linkConf);
        } else {
              $marksItem['###READMORE###']  = '';
        }
      }
      $marksItem['###THUMBNAIL###'] = $this->cObj->IMAGE($thumbnailConf);   		

			$templateFileItem = $this->cObj->getSubpart($templateFile,'###SLIDER###');		
			$subpartContentArray['###SLIDER###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
		  $templateFileItem = $this->cObj->getSubpart($templateFile,'###NAVIGATION###');		
		  $subpartContentArray['###NAVIGATION###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
      $n++;
    }
    $content .= $this->cObj->substituteMarkerArrayCached($templateFile, $marks, $subpartContentArray);    
 
    return $content;
  }


 	protected function getContent($sliderRecords) {
    $uploadDir = $this->DAM ? '' : 'uploads/pics/';
    if (!$this->conf['templateFile']) $this->conf['templateFile'] = $this->extPath.'slidercontent_template.html';
    $templateFile = $this->cObj->fileResource($this->conf['templateFile']);
    $templateFile = $this->cObj->getSubpart($templateFile,'###SLIDERSTYLE_'.$this->conf['sliderStyle'].'###');

    $marks = $this->getSliderSize($sliderRecords);

    $n = '1';
 		foreach ($sliderRecords as $record) {
      $linkConf = array(
        'parameter'         => $record['pid'],
        'ATagParams'        => 'class="readmore"',
        'target'            => '_parent',
        'title'             =>  $record['header']
      );
      if($this->conf['imageLink']) {
        if ($this->conf['sliderStyle'] != '5' || $this->conf['sliderStyle'] != '6') {
          $imageLinkConf = array(
            'parameter'         => $record['pid'],
            'ATagParams'        => 'class="imagelink"',
            'target'            => '_parent',
            'title' =>  $record['header']
          );
        }  
      }     
      $imageRecord = t3lib_div::trimExplode(',', $record['image']);
      $imageConf['file'] = $uploadDir . $imageRecord['0'];
      $thumbnailConf['file'] = $uploadDir . $imageRecord['0'];
      if (!$record['image']) {
        if ($this->conf['defaultImage']) {
          $defaultImages = t3lib_div::trimExplode(',', $this->conf['defaultImage']);
          if (count($defaultImages) > '1') {
            if (!$this->conf['imageOrder']) {
              $random = rand('0',count($defaultImages) - '1');
              $defaultImage = $defaultImages[$random];
            } else {
              if (count($sliderRecords) == count($defaultImages)) {
                $key = $n - '1';
                $defaultImage = $defaultImages[$key];
              } else {
                $random = rand('0',count($defaultImages) - '1');
                $defaultImage = $defaultImages[$random];
              }
            }
          } else {
            $defaultImage = $defaultImages['0'];
          }
          $imageConf['file'] = 'uploads/tx_t3sjslidernews/'.$defaultImage;
          $thumbnailConf['file'] = 'uploads/tx_t3sjslidernews/'.$defaultImage;
        } else {
          $imageConf['file'] =  $this->extPath.'res/icons/typo3_logo.jpg';
          $thumbnailConf['file'] =  $this->extPath.'res/icons/typo3_logo.jpg';
        }
      }
      $imageConf['file.']['width'] = $this->imageWidth.'c';
      $imageConf['file.']['height'] = $this->imageHeight;
      $imageConf['stdWrap.']['addParams.']['title'] = $record['titleText'];
      $imageConf['stdWrap.']['addParams.']['alt'] = $record['altText'];

      $thumbnailConf['file.']['height'] = intval($this->conf['thumbnailHeight']);
      $thumbnailConf['file.']['width'] = intval($this->conf['thumbnailWidth']).'c';
      $marksItem['###NUMBER###']  = $n;

      if ($record['header']) {
        $marksItem['###TITLE###'] = $record['header'];
        $marksItem['###TITLELINK###']  = $this->cObj->typolink($record['header'], $linkConf);
      } else {
        $marksItem['###TITLE###'] =  '';
        $marksItem['###TITLELINK###']  =  '';
      }
      if ($record['subheader']) {
        $marksItem['###SUBTITLE###'] = $record['subheader'];
      } else {
        $marksItem['###SUBTITLE###'] =  '';
      }
      if ($record['date']) {
        $marksItem['###DATE###'] = strftime($this->conf['dateFormat'],$record['date']);
      } else {
        $marksItem['###DATE###'] = '';
      }
      $marksItem['###IMAGE###'] = $this->cObj->IMAGE($imageConf);
      if($this->conf['imageLink']) { 
        if ($this->conf['sliderStyle'] != '5' || $this->conf['sliderStyle'] != '6') {
          $marksItem['###IMAGE###'] = $this->cObj->typolink($marksItem['###IMAGE###'], $imageLinkConf);
        }
      }

      if(!$this->conf['fixedLgd']) $this->conf['fixedLgd'] = '120';
      $record['bodytext'] = t3lib_div::fixed_lgd_cs($record['bodytext'], intval($this->conf['fixedLgd']));
      require_once(PATH_t3lib.'class.t3lib_parsehtml_proc.php');
      $bodytext_parsehtml_proc = t3lib_div::makeInstance('t3lib_parsehtml_proc');
      $record['bodytext'] = $bodytext_parsehtml_proc->TS_links_rte($record['bodytext']);
      $marksItem['###TEXT###'] = $record['bodytext'];
      if (strlen($record['bodytext']) >= intval($this->conf['fixedLgd'])) {
            $marksItem['###READMORE###']  = $this->cObj->typolink($this->pi_getLL('readmore'), $linkConf);
      } else {
            $marksItem['###READMORE###']  = '';
      }
      $marksItem['###THUMBNAIL###'] = $this->cObj->IMAGE($thumbnailConf);   		
			$templateFileItem = $this->cObj->getSubpart($templateFile,'###SLIDER###');		
			$subpartContentArray['###SLIDER###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
		  $templateFileItem = $this->cObj->getSubpart($templateFile,'###NAVIGATION###');		
		  $subpartContentArray['###NAVIGATION###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
      $n++;
    }

    $content .= $this->cObj->substituteMarkerArrayCached($templateFile, $marks, $subpartContentArray);    
 
    return $content;
  }


 	protected function getMenu($sliderRecords) {
    $uploadDir = $this->DAM ? '' : 'uploads/pics/';
    if (!$this->conf['templateFile']) $this->conf['templateFile'] = $this->extPath.'slidermenu_template.html';
    $templateFile = $this->cObj->fileResource($this->conf['templateFile']);
    $templateFile = $this->cObj->getSubpart($templateFile,'###SLIDERSTYLE_'.$this->conf['sliderStyle'].'###');

    $marks = $this->getSliderSize($sliderRecords);

    $n = '1';
 		foreach ($sliderRecords as $record) {
      $linkConf = array(
        'parameter'         => $record['uid'],
        'ATagParams'        => 'class="readmore"',
        'target'            => '_parent',
        'title'             =>  $record['title']
      );
      if($this->conf['imageLink']) {
        if ($this->conf['sliderStyle'] != '5' || $this->conf['sliderStyle'] != '6') {
          $imageLinkConf = array(
            'parameter'         => $record['uid'],
            'ATagParams'        => 'class="imagelink"',
            'target'            => '_parent',
            'title' =>  $record['title']
          );
        }  
      }     
      $imageRecord = t3lib_div::trimExplode(',', $record['media']);
      $imageConf['file'] = $uploadDir . $imageRecord['0'];
      $thumbnailConf['file'] = $uploadDir . $imageRecord['0'];
      if (!$record['media']) {
        if ($this->conf['defaultImage']) {
          $defaultImages = t3lib_div::trimExplode(',', $this->conf['defaultImage']);
          if (count($defaultImages) > '1') {
            if (!$this->conf['imageOrder']) {
              $random = rand('0',count($defaultImages) - '1');
              $defaultImage = $defaultImages[$random];
            } else {
              if (count($sliderRecords) == count($defaultImages)) {
                $key = $n - '1';
                $defaultImage = $defaultImages[$key];
              } else {
                $random = rand('0',count($defaultImages) - '1');
                $defaultImage = $defaultImages[$random];
              }
            }
          } else {
            $defaultImage = $defaultImages['0'];
          }
          $imageConf['file'] = 'uploads/tx_t3sjslidernews/'.$defaultImage;
          $thumbnailConf['file'] = 'uploads/tx_t3sjslidernews/'.$defaultImage;
        } else {
          $imageConf['file'] =  $this->extPath.'res/icons/typo3_logo.jpg';
          $thumbnailConf['file'] =  $this->extPath.'res/icons/typo3_logo.jpg';
        }
      }
      $imageConf['file.']['width'] = $this->imageWidth.'c';
      $imageConf['file.']['height'] = $this->imageHeight;

      $thumbnailConf['file.']['height'] = intval($this->conf['thumbnailHeight']);
      $thumbnailConf['file.']['width'] = intval($this->conf['thumbnailWidth']).'c';
 
      $marksItem['###NUMBER###']  = $n;
      if ($record['title']) {
        $marksItem['###TITLE###'] = $record['title'];
        $marksItem['###TITLELINK###']  = $this->cObj->typolink($record['title'], $linkConf);
      } else {
        $marksItem['###TITLE###'] =  '';
        $marksItem['###TITLELINK###']  =  '';
      }
      if ($record['subtitle']) {
        $marksItem['###SUBTITLE###'] = $record['subtitle'];
      } else {
        $marksItem['###SUBTITLE###'] =  '';
      }
      $marksItem['###IMAGE###'] = $this->cObj->IMAGE($imageConf);
      if($this->conf['imageLink']) { 
        if ($this->conf['sliderStyle'] != '5' || $this->conf['sliderStyle'] != '6') {
          $marksItem['###IMAGE###'] = $this->cObj->typolink($marksItem['###IMAGE###'], $imageLinkConf);
        }
      }

      if(!$this->conf['fixedLgd']) $this->conf['fixedLgd'] = '120';
      $record['abstract'] = t3lib_div::fixed_lgd_cs($record['abstract'], intval($this->conf['fixedLgd']));
      $marksItem['###TEXT###'] = $record['abstract'];
      if (strlen($record['abstract']) >= intval($this->conf['fixedLgd'])) {
            $marksItem['###READMORE###']  = $this->cObj->typolink($this->pi_getLL('readmore'), $linkConf);
      } else {
            $marksItem['###READMORE###']  = '';
      }
      $marksItem['###THUMBNAIL###'] = $this->cObj->IMAGE($thumbnailConf);   		
			$templateFileItem = $this->cObj->getSubpart($templateFile,'###SLIDER###');		
			$subpartContentArray['###SLIDER###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
		  $templateFileItem = $this->cObj->getSubpart($templateFile,'###NAVIGATION###');		
		  $subpartContentArray['###NAVIGATION###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
      $n++;
    }

    $content .= $this->cObj->substituteMarkerArrayCached($templateFile, $marks, $subpartContentArray);    
 
    return $content;
  }


 	protected function getSliderSize($sliderRecords) {
    if (!$this->conf['navigatorHeight']) $this->conf['navigatorHeight'] = '100';
    if (!$this->conf['navigatorWidth']) $this->conf['navigatorWidth'] = '310';
    if (!$this->conf['thumbnailSize']) $this->conf['thumbnailSize'] = '60';
    $this->conf['navigatorHeight'] = t3lib_div::intInRange($this->conf['navigatorHeight'], '40', '100');
    $this->conf['navigatorWidth'] = t3lib_div::intInRange($this->conf['navigatorWidth'], '40', '400');
    $this->conf['thumbnailHeight'] = t3lib_div::intInRange($this->conf['thumbnailSize'], 20, $this->conf['navigatorHeight'] - '14');
    $this->conf['thumbnailWidth'] = $this->conf['thumbnailHeight'];

    $this->sliderWidth = intval($this->conf['sliderWidth']);
    if (!$this->conf['sliderWidth']) $this->sliderWidth = '700';
    $this->sliderHeight = intval($this->conf['sliderHeight']);
    if (!$this->conf['sliderHeight']) $this->sliderHeight = '300';

    if (!$this->conf['textareaWidth']) {
      $this->conf['textareaWidth'] = '350';
      // 20 = 2 x 10px padding in css
      if ($this->conf['sliderStyle'] == '6') $this->conf['textareaWidth'] = $this->sliderWidth - '20';
    }
    if (!$this->conf['textareaOffsetBottom']) {
      $this->conf['textareaOffsetBottom'] = '50';
      if ($this->conf['sliderStyle'] == '6') $this->conf['textareaOffsetBottom'] = '0';
    }
    if (!$this->conf['textareaOffsetLeft']) {
      $this->conf['textareaOffsetLeft'] = '0';
      if ($this->conf['sliderStyle'] == '3') $this->conf['textareaOffsetLeft'] = '20';
    }
 
    if ($this->conf['sliderStyle'] == '2' || $this->conf['sliderStyle'] == '3' || $this->conf['sliderStyle'] == '5') { 
      $this->sliderHeight = $this->conf['maxItemDisplay'] * intval($this->conf['navigatorHeight']);
      // 4 = padding 3px + border 1px
      $this->marginTop = intval(($this->conf['navigatorHeight'] - $this->conf['thumbnailHeight']) / '2' - '4');
      if (!$this->conf['textareaOffsetTop']) $this->conf['textareaOffsetTop'] = '150'; 
    }

    $this->imageWidth = $this->sliderWidth;
    $this->imageHeight = $this->sliderHeight;

    if ($this->conf['sliderStyle'] == '2' || $this->conf['sliderStyle'] == '5') {
      $this->imageWidth = $this->sliderWidth - intval($this->conf['navigatorWidth']) + '15';
    } 
    if ($this->conf['sliderStyle'] == '3') {
      $this->imageWidth = $this->sliderWidth - intval($this->conf['navigatorWidth']) + '17';
    }
    if ($this->conf['sliderStyle'] == '1') {
      if (!$this->conf['proportion']) $this->conf['proportion'] = '10';   
      $thumbnailWidth  = $this->imageWidth / intval($this->conf['proportion']);
      $this->conf['thumbnailWidth']  = intval($thumbnailWidth);
      $thumbnailHeight  = $this->imageHeight / $this->conf['proportion'];
      $this->conf['thumbnailHeight']  = intval($thumbnailHeight);
    }

    $marks['###SLIDERWIDTH###'] = $this->sliderWidth;
    $marks['###IMAGEWIDTH###'] = $this->imageWidth;
    $marks['###IMAGEHEIGHT###'] = $this->imageHeight;

    return $marks;
  }


  protected function addHeaderParts() {
    $extConf = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['t3s_jslidernews']);
    if ($extConf['jqueryNoConflict']) {
      $queryNoConflict = 'var j = jQuery.noConflict();';
      $queryMode = 'j';
    } else {
      $queryNoConflict = '';
      $queryMode = '$';
    } 
    $pagerender = $GLOBALS['TSFE']->getPageRenderer();
    // checks if t3jquery is loaded
    if (t3lib_extMgm::isLoaded('t3jquery')) {
      require_once(t3lib_extMgm::extPath('t3jquery').'class.tx_t3jquery.php');
    }
    // if t3jquery is loaded and the custom Library had been created
    if (T3JQUERY === true) {
      tx_t3jquery::addJqJS();
    } else {
      if ($extConf['includeJquery']) {
        $pagerender->addJsLibrary(' jQuery JavaScript Library ','https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js', 'text/javascript', TRUE, FALSE, '');
      }
      if($extConf['includeJqueryEasing']) {
        $pagerender->addJsFile($this->extPath.'res/js/jquery.easing.js', 'text/javascript', TRUE, FALSE, '');
      }
    }
    $pagerender->addJsFile($this->extPath.'res/js/jslidernews.js', 'text/javascript', TRUE, FALSE, '');

    if (!$this->conf['duration']) $this->conf['duration'] = '1200'; 
    if ($this->conf['auto']) $this->conf['auto'] = 'true'; 
    else $this->conf['auto'] = 'false';
    if (!$this->conf['interval']) $this->conf['interval'] = '4000'; 

    switch ($this->conf['sliderStyle']) {
      case '1':
        $navigatorHeight = $this->conf['thumbnailHeight'] + '6';
        $navigatorWidth = $this->conf['thumbnailWidth'] + '10';
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          var buttons = { previous:'.$queryMode.'(\'#lofslidecontent45 .lof-previous\') ,
          next:'.$queryMode.'(\'#lofslidecontent45 .lof-next\') };
          $obj = '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.intval($this->conf['interval']).',      
          easing          : \''.$this->conf['easing'].'\',
          duration        : '.intval($this->conf['duration']).',
          auto            : '.$this->conf['auto'].',
          maxItemDisplay  : '.$this->conf['maxItemDisplay'].',
          navPosition     : \'horizontal\',
          navigatorHeight : '.$navigatorHeight.',
          navigatorWidth  : '.$navigatorWidth.',
          mainWidth       : '.$this->sliderWidth.',
          buttons         : buttons} );  
        });';
        $block = '.lof-main-item-desc {width:'.intval($this->conf['textareaWidth']).'px; bottom:'.intval($this->conf['textareaOffsetBottom']).'px; left:'.intval($this->conf['textareaOffsetLeft']).'px;}';
        if (!$this->conf['noArrows']) {
          $block .= ' .lof-navigator-wapper .lof-next,.lof-navigator-wapper .lof-previous {height:'.$navigatorHeight.'px; width:22px;}';
        }
        if ($this->conf['textareaBg'] == '2') {
          $block .= ' .lof-main-item-desc{background:url('.$this->extPath.'res/images/transparent_bg_white.png);}';
          $block .= ' .lof-slidecontent, .lof-slidecontent a, .lof-slidecontent a:visited, .lof-slidecontent a:focus {color:#000;}';
          $block .= ' .lof-navigator-wapper {background:url('.$this->extPath.'res/images/transparent_bg_white.png) repeat;}';
        }        
        if ($this->conf['textareaBg'] == '3') {
          $block .= ' .lof-main-item-desc{background:none;}';
          $block .= ' .lof-slidecontent, .lof-slidecontent a, .lof-slidecontent a:visited, .lof-slidecontent a:focus {color:#000;}';
        }
        if ($this->conf['fontSize']) {
          $block .= ' .lof-main-item-desc h3 {font-size:'.intval($this->conf['fontSize']).'%;}';
        } 
       break;
      case '2':
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.intval($this->conf['interval']).',
          easing          : \''.$this->conf['easing'].'\',
          maxItemDisplay  : '.$this->conf['maxItemDisplay'].',
          navigatorHeight : '.$this->conf['navigatorHeight'].',
          navigatorWidth  : '.$this->conf['navigatorWidth'].',
          duration        : '.intval($this->conf['duration']).',
          mainWidth       : '.$this->imageWidth.',
          auto            : '.$this->conf['auto'].' } );                                                                   
        });';
        $block = '.lof-main-item-desc {width:'.intval($this->conf['textareaWidth']).'px; top:'.intval($this->conf['textareaOffsetTop']).'px; left:'.intval($this->conf['textareaOffsetLeft']).'px;}';
        $block .= ' .lof-navigator li img {margin:'.$this->marginTop.'px '.$this->marginTop.'px 0 0;}';
        $block .= ' .lof-navigator li div {padding-left: '.$this->marginTop.'px;}';
        $block .= $this->getActiveNavBg(); 
        if ($this->conf['textareaBg'] == '2') {
          $block .= ' .lof-main-item-desc{background:url('.$this->extPath.'res/images/transparent_bg_white.png);}';
          $block .= ' .lof-main-wapper, .lof-main-wapper a, .lof-main-wapper a:visited, .lof-main-wapper a:focus {color:#000;}';
        }
        if ($this->conf['textareaBg'] == '3') {
          $block .= ' .lof-main-item-desc{background:none;}';
          $block .= ' .lof-main-wapper, .lof-main-wapper a, .lof-main-wapper a:visited, .lof-main-wapper a:focus {color:#000;}';
        }
        if ($this->conf['fontSize']) {
          $block .= ' .lof-main-item-desc h3, .lof-navigator li h3 {font-size:'.intval($this->conf['fontSize']).'%;}';
        } 
      break;
      case '3':
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.intval($this->conf['interval']).',
          easing          : \''.$this->conf['easing'].'\',
          maxItemDisplay  : '.$this->conf['maxItemDisplay'].',
          navigatorHeight : '.$this->conf['navigatorHeight'].',
          navigatorWidth  : '.$this->conf['navigatorWidth'].',
          mainWidth       : '.$this->imageWidth.',
          duration        : '.intval($this->conf['duration']).',
          auto            : '.$this->conf['auto'].' } );                                                                                   
        });';
        $block = '.lof-main-item-desc {width:'.intval($this->conf['textareaWidth']).'px; top:'.intval($this->conf['textareaOffsetTop']).'px; left:'.intval($this->conf['textareaOffsetLeft']).'px;}';
        $block .= ' .lof-navigator li img {margin:'.$this->marginTop.'px '.$this->marginTop.'px 0 0;}';
        $block .= ' .lof-navigator li div {padding-left: '.$this->marginTop.'px;}';
        $block .= $this->getActiveNavBg(); 
        if ($this->conf['textareaBg'] == '2') {
          $block .= ' .lof-main-item-desc{background:url('.$this->extPath.'res/images/transparent_bg_white.png);}';
          $block .= ' .lof-main-wapper, .lof-main-wapper a, .lof-main-wapper a:visited, .lof-main-wapper a:focus {color:#000;}';
        }
        if ($this->conf['textareaBg'] == '3') {
          $block .= ' .lof-main-item-desc{background:none}';
          $block .= ' .lof-main-wapper, .lof-main-wapper a, .lof-main-wapper a:visited, .lof-main-wapper a:focus {color:#000;}';
        }
        if ($this->conf['fontSize']) {
          $block .= ' .lof-main-item-desc h3, .lof-navigator li h3 {font-size:'.intval($this->conf['fontSize']).'%;}';
        } 
      break;
      case '4':
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          $obj = '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.intval($this->conf['interval']).',
          easing          : \''.$this->conf['easing'].'\',
          duration        : '.intval($this->conf['duration']).',
          auto            : '.$this->conf['auto'].',
          maxItemDisplay  : '.$this->conf['maxItemDisplay'].',
          navPosition     : \'horizontal\',
          navigatorHeight : 15,
          navigatorWidth  : 25,
          mainWidth       : '.$this->sliderWidth.'} );              
        });';
        $block = '.lof-main-item-desc {width:'.intval($this->conf['textareaWidth']).'px; bottom:'.intval($this->conf['textareaOffsetBottom']).'px; left:'.intval($this->conf['textareaOffsetLeft']).'px;}';
        if ($this->conf['textareaBg'] == '2') {
          $block .= ' .lof-main-item-desc{background:url('.$this->extPath.'res/images/transparent_bg_white.png);}';
          $block .= ' .lof-slidecontent, .lof-slidecontent a, .lof-slidecontent a:visited, .lof-slidecontent a:focus {color:#000;}';
          $block .= ' .lof-navigator-wapper {background:url('.$this->extPath.'res/images/transparent_bg_white.png) repeat;}';
        }
        if ($this->conf['textareaBg'] == '3') {
          $block .= ' .lof-main-item-desc{background:none;}';
          $block .= ' .lof-slidecontent, .lof-slidecontent a, .lof-slidecontent a:visited, .lof-slidecontent a:focus {color:#000;}';
        }
        if ($this->conf['fontSize']) {
          $block .= ' .lof-main-item-desc h3 {font-size:'.intval($this->conf['fontSize']).'%;}';
        } 
      break;
      case '5':
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.intval($this->conf['interval']).',
          auto            : '.$this->conf['auto'].',
          direction       : \'opacity\',
          navigatorHeight : '.$this->conf['navigatorHeight'].',
          navigatorWidth  : '.$this->conf['navigatorWidth'].',
          maxItemDisplay  : '.$this->conf['maxItemDisplay'].',
          mainWidth       : '.$this->imageWidth.',
          duration        : '.intval($this->conf['duration']).',
          easing          : \''.$this->conf['easing'].'\'} );                                                                                        
        });';
        $block = '.lof-main-item-desc {width:'.intval($this->conf['textareaWidth']).'px; top:'.intval($this->conf['textareaOffsetTop']).'px; left:'.intval($this->conf['textareaOffsetLeft']).'px;}';
        $block .= ' .lof-navigator li img {margin:'.$this->marginTop.'px '.$this->marginTop.'px 0 0;}';
        $block .= ' .lof-navigator li div {padding-left: '.$this->marginTop.'px;}';
        $block .= $this->getActiveNavBg(); 
        if ($this->conf['textareaBg'] == '2') {
          $block .= ' .lof-main-item-desc{background:url('.$this->extPath.'res/images/transparent_bg_white.png);}';
          $block .= ' .lof-main-wapper, .lof-main-wapper a, .lof-main-wapper a:visited, .lof-main-wapper a:focus {color:#000;}';
        }
        if ($this->conf['textareaBg'] == '3') {
          $block .= ' .lof-main-item-desc{background:none;}';
          $block .= ' .lof-main-wapper, .lof-main-wapper a, .lof-main-wapper a:visited, .lof-main-wapper a:focus {color:#000;}';
        }
        if ($this->conf['fontSize']) {
          $block .= ' .lof-main-item-desc h3, .lof-navigator li h3 {font-size:'.intval($this->conf['fontSize']).'%;}';
        } 
      break;
      case '6':
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          var buttons = { previous:'.$queryMode.'(\'#lofslidecontent45 .lof-previous\') ,
          next:'.$queryMode.'(\'#lofslidecontent45 .lof-next\') };
          $obj = '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.intval($this->conf['interval']).',
          direction       : \'opacity\',  
          easing          : \''.$this->conf['easing'].'\',
          maxItemDisplay  : '.$this->conf['maxItemDisplay'].',
          duration        : '.intval($this->conf['duration']).',
          auto            : '.$this->conf['auto'].',
          mainWidth       : '.$this->sliderWidth.',
          buttons         : buttons} );  
        });';
        $block = '.lof-main-item-desc {width:'.intval($this->conf['textareaWidth']).'px; bottom:'.intval($this->conf['textareaOffsetBottom']).'px; left:'.intval($this->conf['textareaOffsetLeft']).'px; }';
        if ($this->conf['textareaBg'] == '2') {
          $block .= ' .lof-main-item-desc{background:url('.$this->extPath.'res/images/transparent_bg_white.png);}';
          $block .= ' .lof-slidecontent, .lof-slidecontent a, .lof-slidecontent a:visited, .lof-slidecontent a:focus {color:#000;}';
          $block .= ' .lof-navigator-wapper {background:url('.$this->extPath.'res/images/transparent_bg_white.png) repeat;}';
        }  
        if ($this->conf['fontSize']) {
          $block .= ' .lof-main-item-desc h3 {font-size:'.intval($this->conf['fontSize']).'%;}';
        } 
      break;
    }

    if ($this->conf['cssFile']) {
      $file = $this->conf['cssFile'];
    } else {
      $file = $this->extPath.'res/css/style'.$this->conf['sliderStyle'].'.css';
    }
    $pagerender->addCssInlineBlock(' CSS for EXT '.$this->extKey.' ', $block, $compress = FALSE, $forceOnTop = FALSE); 
    $pagerender->addCssFile($file, $rel = 'stylesheet', $media = 'all', $title = 'stylesheet',	$compress = TRUE,	$forceOnTop = FALSE, $allWrap = ''); 
    $name=' JavaScript for EXT '.$this->extKey.' ';
    if ($extConf['moveJsFromFooterToHeader']){
      $pagerender->addJsInlineCode($name,$js);
    }else{
      $pagerender->addJsFooterInlineCode($name,$js);
    };
  }


  protected function getActiveNavBg() {
    switch ($this->conf['activeNavBg']) {
      case '1':
        // green
        if ($this->conf['sliderStyle'] == '3') {
          $block = ' .lof-snleft .lof-navigator .active {background:url('.$this->extPath.'res/images/arrow-bg-3-green.png) center right no-repeat;}';
          $block .= ' .lof-snleft .lof-navigator li.active div {margin-left:inherit; margin-right:18px; background:url('.$this->extPath.'res/images/grad-bg.gif);}';
        }
      break;
      case '2':
        // dark red
        if ($this->conf['sliderStyle'] == '2' || $this->conf['sliderStyle'] == '5') {
          $block = ' .lof-navigator li.active {background:url('.$this->extPath.'res/images/arrow-bg-darkred.png) no-repeat scroll left center;}';
          $block .= ' .lof-navigator li.active div {background:url('.$this->extPath.'res/images/grad-bg2.gif);}';
          $block .= ' .lof-navigator li.active img {border:#C5C5C5  solid 1px;}';
        }
      break;
      case '3':
        // black
        if ($this->conf['sliderStyle'] == '2' || $this->conf['sliderStyle'] == '5') {
          $block = ' .lof-navigator li.active {background:url('.$this->extPath.'res/images/arrow-bg-black.png) no-repeat scroll left center;}';
          $block .= ' .lof-navigator li.active div {background:url('.$this->extPath.'res/images/grad-bg-black.gif);}';
          $block .= ' .lof-navigator li.active img {border:#C5C5C5  solid 1px;}';
        }
        if ($this->conf['sliderStyle'] == '3') {
          $block = ' .lof-snleft .lof-navigator .active {background:url('.$this->extPath.'res/images/arrow-bg-3-black.png) center right no-repeat;}';
          $block .= ' .lof-snleft .lof-navigator li.active div {margin-left:inherit; margin-right:18px; background:url('.$this->extPath.'res/images/grad-bg-black.gif);}';
        }
      break;
      case '4':
        // red
        if ($this->conf['sliderStyle'] == '2' || $this->conf['sliderStyle'] == '5') {
          $block = ' .lof-navigator li.active {background:url('.$this->extPath.'res/images/arrow-bg-red.png) no-repeat scroll left center;}';
          $block .= ' .lof-navigator li.active div {background:url('.$this->extPath.'res/images/grad-bg-red.gif);}';
          $block .= ' .lof-navigator li.active img {border:#C5C5C5  solid 1px;}';
        }
        if ($this->conf['sliderStyle'] == '3') {
          $block = ' .lof-snleft .lof-navigator .active {background:url('.$this->extPath.'res/images/arrow-bg-3-red.png) center right no-repeat;}';
          $block .= ' .lof-snleft .lof-navigator li.active div {margin-left:inherit; margin-right:18px; background:url('.$this->extPath.'res/images/grad-bg-red.gif);}';
        }
      break;
      case '5':
        // orange
        if ($this->conf['sliderStyle'] == '2' || $this->conf['sliderStyle'] == '5') {
          $block = ' .lof-navigator li.active {background:url('.$this->extPath.'res/images/arrow-bg-orange.png) no-repeat scroll left center;}';
          $block .= ' .lof-navigator li.active div {background:url('.$this->extPath.'res/images/grad-bg-orange.gif);}';
          $block .= ' .lof-navigator li.active img {border:#C5C5C5  solid 1px;}';
        }
        if ($this->conf['sliderStyle'] == '3') {
          $block = ' .lof-snleft .lof-navigator .active {background:url('.$this->extPath.'res/images/arrow-bg-3-orange.png) center right no-repeat;}';
          $block .= ' .lof-snleft .lof-navigator li.active div {margin-left:inherit; margin-right:18px; background:url('.$this->extPath.'res/images/grad-bg-orange.gif);}';
          $block .= ' .lof-navigator li.active img {border:#7D7D7D  solid 1px;}';
        }
      break;
      case '6':
        // dark blue
        if ($this->conf['sliderStyle'] == '2' || $this->conf['sliderStyle'] == '5') {
          $block = ' .lof-navigator li.active {background:url('.$this->extPath.'res/images/arrow-bg-darkblue.png) no-repeat scroll left center;}';
          $block .= ' .lof-navigator li.active div {background:url('.$this->extPath.'res/images/grad-bg-darkblue.gif);}';
          $block .= ' .lof-navigator li.active img {border:#C5C5C5  solid 1px;}';
        }
        if ($this->conf['sliderStyle'] == '3') {
          $block = ' .lof-snleft .lof-navigator .active {background:url('.$this->extPath.'res/images/arrow-bg-3-darkblue.png) center right no-repeat;}';
          $block .= ' .lof-snleft .lof-navigator li.active div {margin-left:inherit; margin-right:18px; background:url('.$this->extPath.'res/images/grad-bg-darkblue.gif);}';
        }
      break;
      case '7':
        // light blue
        if ($this->conf['sliderStyle'] == '2' || $this->conf['sliderStyle'] == '5') {
          $block = ' .lof-navigator li.active {background:url('.$this->extPath.'res/images/arrow-bg-blue.png) no-repeat scroll left center;}';
          $block .= ' .lof-navigator li.active div {background:url('.$this->extPath.'res/images/grad-bg-blue.gif);}';
          $block .= ' .lof-navigator li.active img {border:#0059A9  solid 1px;}';
        }
        if ($this->conf['sliderStyle'] == '3') {
          $block = ' .lof-snleft .lof-navigator .active {background:url('.$this->extPath.'res/images/arrow-bg-3-blue.png) center right no-repeat;}';
          $block .= ' .lof-snleft .lof-navigator li.active div {margin-left:inherit; margin-right:18px; background:url('.$this->extPath.'res/images/grad-bg-blue.gif);}';
          $block .= ' .lof-navigator li.active img {border:#0059A9  solid 1px;}';
        }
      break;
    }  
    return $block;  
  }

	
}


if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/t3s_jslidernews/pi1/class.tx_t3sjslidernews_pi1.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/t3s_jslidernews/pi1/class.tx_t3sjslidernews_pi1.php']);
}

?>